#Module-Specific definitions
%define mod_name mod_auth_form
%define mod_conf A84_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	Form-based, authorization module using MySQL and session management
Name:		apache-%{mod_name}
Version:	2.05
Release:	%mkrel 17
Group:		System/Servers
License:	Apache License
URL:		http://www.csce.uark.edu/~ajarthu/mod_auth_form/
Source0:	%{mod_name}-%{version}-src.tar.gz
Source1:	%{mod_conf}
Source2:	README.html
Source3:	index.css
Patch0:		mod_auth_form-avoid-version.diff
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.0
Requires(pre):	apache >= 2.2.0
Requires:	apache-conf >= 2.2.0
Requires:	apache >= 2.2.0
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	mysql-devel
BuildRequires:  file
BuildRequires:  autoconf2.5
BuildRequires:  automake
BuildRequires:  libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module is a form-based authorization module based on 'mod_auth_mysql' and
'mod_auth_sim'. It is used to place access restrictions on a per-directory, 
per-user-request basis using session management. The module uses a MySQL
database to retrieve users' group membership, maintain and validate users'
sessions, and optionally track user activity.

%prep

%setup -q -n %{mod_name}-%{version}
%patch0 -p0

cp %{SOURCE2} README.html
cp %{SOURCE3} index.css
cp %{SOURCE1} %{mod_conf}

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type d -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

for i in `find . -type d -name CVS` `find . -type d -name .svn` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done
    
# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
rm -rf configure autom4te.cache
libtoolize --copy --force; aclocal; autoconf; automake --add-missing --copy --foreign; autoconf

export APXS="%{_sbindir}/apxs"
export APACHE2_INCLUDE="`$APXS -q INCLUDEDIR`"
export CPPFLAGS="`%{_bindir}/apr-1-config --cppflags`"

%configure2_5x --localstatedir=/var/lib

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/httpd/modules.d
install -d %{buildroot}%{_libdir}/apache-extramodules

install -m0755 src/.libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
 %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
 if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
 fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README* index.css AUTHORS COPYING ChangeLog INSTALL NEWS
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}




%changelog
* Tue May 24 2011 Oden Eriksson <oeriksson@mandriva.com> 2.05-17mdv2011.0
+ Revision: 678258
- mass rebuild

* Thu Mar 17 2011 Oden Eriksson <oeriksson@mandriva.com> 2.05-16
+ Revision: 645762
- relink against libmysqlclient.so.18

* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 2.05-15mdv2011.0
+ Revision: 627718
- don't force the usage of automake1.7
- rebuilt against mysql-5.5.8 libs, again
- rebuilt against mysql-5.5.8 libs

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 2.05-12mdv2011.0
+ Revision: 587916
- rebuild

* Mon Mar 08 2010 Oden Eriksson <oeriksson@mandriva.com> 2.05-11mdv2010.1
+ Revision: 516042
- rebuilt for apache-2.2.15

* Thu Feb 18 2010 Oden Eriksson <oeriksson@mandriva.com> 2.05-10mdv2010.1
+ Revision: 507516
- rebuild

* Sat Aug 01 2009 Oden Eriksson <oeriksson@mandriva.com> 2.05-9mdv2010.0
+ Revision: 406529
- rebuild

* Tue Jan 06 2009 Oden Eriksson <oeriksson@mandriva.com> 2.05-8mdv2009.1
+ Revision: 325539
- rebuild

* Tue Dec 09 2008 Oden Eriksson <oeriksson@mandriva.com> 2.05-7mdv2009.1
+ Revision: 312188
- rebuilt against mysql-5.1.30 libs

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 2.05-6mdv2009.0
+ Revision: 234629
- rebuild

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.com> 2.05-5mdv2009.0
+ Revision: 215527
- fix rebuild
- hard code %%{_localstatedir}/lib to ease backports

* Fri Mar 07 2008 Oden Eriksson <oeriksson@mandriva.com> 2.05-4mdv2008.1
+ Revision: 181665
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.com> 2.05-3mdv2008.0
+ Revision: 82514
- rebuild


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 2.05-2mdv2007.1
+ Revision: 140605
- rebuild

* Mon Feb 12 2007 Oden Eriksson <oeriksson@mandriva.com> 2.05-1mdv2007.1
+ Revision: 118838
- 2.05
- bunzip sources
- rediffed P0

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 2.04-2mdv2007.0
+ Revision: 79313
- Import apache-mod_auth_form

* Tue Sep 05 2006 Oden Eriksson <oeriksson@mandriva.com> 2.04-1mdv2007.0
- rebuilt against MySQL-5.0.24a-1mdv2007.0 due to ABI changes

* Fri Aug 04 2006 Oden Eriksson <oeriksson@mandriva.com> 2.04-1mdv2007.0
- initial Mandriva package

